.firmwarestock-section {position:relative;z-index:1}
.firmwarestock-section .firmwarestock-head {display: flex;justify-items: center;padding: 20px 30px;}
.firmwarestock-section .select-wrapper {align-items: center;display: flex;gap: 16px;width: 100%;}
.firmwarestock-section .select-label {color:#9ba5b1;font-size: 24px;}
.firmwarestock-section .select-primary {position: relative;flex-grow: 1;}
.firmwarestock-section .select-head {align-items: center;border:2px solid #ccc;border-radius:10px;cursor: pointer;display: flex;font-size: 18px;font-weight: 500;height: 40px;justify-content:space-between;text-overflow:ellipsis;white-space:nowrap;}
.firmwarestock-section .select-dropdown, .firmwarestock-section .select-head {background-color: #21252a;overflow: hidden;}
.firmwarestock-section .select-value {color:#dcdfe5;display: inline-block;overflow: hidden;padding-left:20px;text-overflow: ellipsis;white-space: nowrap;}
.firmwarestock-section .select-dropdown{border:1px solid #373d48;border-radius:10px;display:none;flex-direction:column;left:0;position:absolute;top:44px;width:100%;z-index:1;}
.firmwarestock-section .select-head:after {background-image:url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='23' fill='none' viewBox='0 0 24 23'%3E%3Cpath fill='%236C7684' d='M16.827 9.14a.935.935 0 0 0-1.319 0l-3.355 3.309-3.31-3.31a.935.935 0 1 0-1.317 1.328l3.963 3.963a.933.933 0 0 0 1.327 0l4.01-3.963a.936.936 0 0 0 0-1.328'/%3E%3C/svg%3E");background-position:50%;background-repeat:no-repeat;content:"";display:block;height:24px;min-width:24px;width:24px}
.firmwarestock-section .select-primary.active .select-dropdown {display:flex}
.firmwarestock-section .select-dropdown__item {border-bottom:1px solid #373d48;color:#dcdfe5;cursor:pointer;font-size:18px;font-weight:500;overflow:hidden;padding:5px 20px;text-overflow:ellipsis;white-space:nowrap}
.firmwarestock-section .but {background-image: linear-gradient(90deg, var(--e-global-color-primary) 0%, #D57B27 100%);border-radius: 100px;color: #000;cursor: pointer;display: flex;font-size: 14px;font-weight: 600;gap: 10px;height: 40px;padding: 0 12px;line-height: 40px;transition: .26s ease-out;align-items: center;justify-content: center;}
.firmwarestock-section .but img {min-width: 25px;width: 25px;height: 27px;}
.firmwarestock-section .but:hover {background-image: linear-gradient(180deg, var(--e-global-color-primary) 0%, #B39300 100%);}
.firmwarestock-section .select-scroll {max-height: 300px;overflow-x: hidden;overflow-y: scroll;}


.firmwarestock-section .table {display: table;width: 100%;box-sizing: border-box;border-collapse: collapse;border: 1px solid #555;empty-cells: show;color: #fff;cursor:default;}
.firmwarestock-section .table-thead {display: table-header-group;}
.firmwarestock-section .table-tbody {display: table-row-group;}
.firmwarestock-section .table-tr {display: table-row;}
.firmwarestock-section .table-th {display: table-cell;padding: 10px;border: 1px solid #555;font-weight: bold;text-align: center;background-color: #ffffff73;}
.firmwarestock-section .table-td {display: table-cell;padding: 10px;border: 1px solid #555;vertical-align: middle;}
.firmwarestock-section .table-td.nowrap {white-space: nowrap;}
.firmwarestock-section .nofile {display: flex;padding: 10px 0;border-bottom: 2px solid #d19a66;border-top: 2px solid #d19a66;justify-content: center;color: #fff;}


.preloader{display:none;position: fixed;left: 0;top: 0;right: 0;bottom: 0;background: rgb(0 0 0 / 40%);z-index: 1001;	}
.loader {position: absolute;top: calc(50% - 32px);left: calc(50% - 32px);width: 64px;height: 64px;border-radius: 50%;perspective: 800px;}
.inner {position: absolute;box-sizing: border-box;width: 100%;height: 100%;border-radius: 50%;  }
.inner.one {left: 0%;top: 0%;animation: rotate-one 1s linear infinite;border-bottom: 3px solid #EFEFFA;}
.inner.two {right: 0%;top: 0%;animation: rotate-two 1s linear infinite;border-right: 3px solid #EFEFFA;}
.inner.three {right: 0%;bottom: 0%;animation: rotate-three 1s linear infinite;border-top: 3px solid #EFEFFA;}

@keyframes rotate-one {
  0% {
    transform: rotateX(35deg) rotateY(-45deg) rotateZ(0deg);
  }
  100% {
    transform: rotateX(35deg) rotateY(-45deg) rotateZ(360deg);
  }
}

@keyframes rotate-two {
  0% {
    transform: rotateX(50deg) rotateY(10deg) rotateZ(0deg);
  }
  100% {
    transform: rotateX(50deg) rotateY(10deg) rotateZ(360deg);
  }
}

@keyframes rotate-three {
  0% {
    transform: rotateX(35deg) rotateY(55deg) rotateZ(0deg);
  }
  100% {
    transform: rotateX(35deg) rotateY(55deg) rotateZ(360deg);
  }
}



@media (max-width: 767px) {
	.firmwarestock-section .table-thead {display: none;}
	.firmwarestock-section .table-tr {display: flex;flex-direction: column;margin-bottom: 20px;}
	.firmwarestock-section .table-td:not(:last-child):before {content: attr(data-title) ": ";}
	.firmwarestock-section .table {border: none;}
	.firmwarestock-section .table-td {border: none;}
	.firmwarestock-section .table-td:first-child {border-top: 2px solid #d19a66;}
	
	
}